Bug 444409 - GUI button icon display incorrect under Simplified Chinese locale
GUI button icon display incorrect under Simplified Chinese locale
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-28 05:34 EDT by Cong Ma
Modified: 2008-07-31 01:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-31 01:51:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cong Ma 2008-04-28 05:34:19 EDT
Description of problem:
Thunderbird fails to display some of the buttons on the toolbar when envoked using the zh_CN.UTF-8 (my default) 
locale. After the "Get Mail" button is pressed on, the button icon of either "Address Book" or "Forward" would be 
replaced by that of "Get Mail" once the mouse cursor is moved across it. This is not permanent, though, as when I 
moved the mouse to other buttons the changed icon got recovered sometimes. However, it turned out rather 
unpredictable what mouse action could cause the recovery of the icons.

This is only seen with the Chinese locale in use. I tried, in the command line, envoking thunderbird with the 
environmental variable LC_ALL=C then everything works correctly.

I'm using the default Thunderbird GUI theme. 

Version-Release number of selected component (if applicable):
version (20080226)

How reproducible:
In zh_CN.UTF-8 locale, the bug is always reproducible.

Steps to Reproduce:
1. Start Thunderbird in zh_CN.UTF-8 locale;
2. Click the "Get Mail" button to fetch mail;
3. Move the mouse over one of "Address Book" or "Forward".

Actual results:
Toolbar icons are displayed incorrectly for the user. The changing of button icons may cause annoyance and 
misguide the user to commit incorrect operations.

Expected results:
The toolbar's buttons should be displayed correctly with any locale.

Additional info:
Comment 1 Jens Petersen 2008-07-14 01:55:53 EDT
This looks fixed with current thunderbird.

Have you tried thunderbird- or with f9?

Note You need to log in before you can comment on or make changes to this bug.